Cash Authorization for an upcoming transfer
curl --request POST \
--url https://api-sandbox.synctera.com/v0/cash/authorization \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 10000,
"destination_account_id": "fccb4a46-1261-4e91-b622-73b5b946183d",
"order_date": "2023-12-25"
}
'import requests
url = "https://api-sandbox.synctera.com/v0/cash/authorization"
payload = {
"amount": 10000,
"destination_account_id": "fccb4a46-1261-4e91-b622-73b5b946183d",
"order_date": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 10000,
destination_account_id: 'fccb4a46-1261-4e91-b622-73b5b946183d',
order_date: '2023-12-25'
})
};
fetch('https://api-sandbox.synctera.com/v0/cash/authorization', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.synctera.com/v0/cash/authorization",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amount' => 10000,
'destination_account_id' => 'fccb4a46-1261-4e91-b622-73b5b946183d',
'order_date' => '2023-12-25'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.synctera.com/v0/cash/authorization"
payload := strings.NewReader("{\n \"amount\": 10000,\n \"destination_account_id\": \"fccb4a46-1261-4e91-b622-73b5b946183d\",\n \"order_date\": \"2023-12-25\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.synctera.com/v0/cash/authorization")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": 10000,\n \"destination_account_id\": \"fccb4a46-1261-4e91-b622-73b5b946183d\",\n \"order_date\": \"2023-12-25\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.synctera.com/v0/cash/authorization")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": 10000,\n \"destination_account_id\": \"fccb4a46-1261-4e91-b622-73b5b946183d\",\n \"order_date\": \"2023-12-25\"\n}"
response = http.request(request)
puts response.read_body{
"amount": 10000,
"authorization_type": "CASH_ORDER",
"destination_account_id": "fccb4a46-1261-4e91-b622-73b5b946183d",
"order_date": "2023-12-25",
"account_number": "<string>",
"client_name": "Cash-Based Brick and Mortar Store",
"hold_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"originating_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"status": "CANCELLED",
"tenant": "abcdef_ghijkl"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Cash Orders and Deposits (alpha)
Cash Authorization for an upcoming transfer
Create a new cash authorization
🚧 Alpha > This is an Alpha spec-only endpoint. Feedback from the community is welcome. We may make breaking changes.
POST
/
cash
/
authorization
Cash Authorization for an upcoming transfer
curl --request POST \
--url https://api-sandbox.synctera.com/v0/cash/authorization \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 10000,
"destination_account_id": "fccb4a46-1261-4e91-b622-73b5b946183d",
"order_date": "2023-12-25"
}
'import requests
url = "https://api-sandbox.synctera.com/v0/cash/authorization"
payload = {
"amount": 10000,
"destination_account_id": "fccb4a46-1261-4e91-b622-73b5b946183d",
"order_date": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 10000,
destination_account_id: 'fccb4a46-1261-4e91-b622-73b5b946183d',
order_date: '2023-12-25'
})
};
fetch('https://api-sandbox.synctera.com/v0/cash/authorization', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.synctera.com/v0/cash/authorization",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amount' => 10000,
'destination_account_id' => 'fccb4a46-1261-4e91-b622-73b5b946183d',
'order_date' => '2023-12-25'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.synctera.com/v0/cash/authorization"
payload := strings.NewReader("{\n \"amount\": 10000,\n \"destination_account_id\": \"fccb4a46-1261-4e91-b622-73b5b946183d\",\n \"order_date\": \"2023-12-25\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.synctera.com/v0/cash/authorization")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": 10000,\n \"destination_account_id\": \"fccb4a46-1261-4e91-b622-73b5b946183d\",\n \"order_date\": \"2023-12-25\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.synctera.com/v0/cash/authorization")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": 10000,\n \"destination_account_id\": \"fccb4a46-1261-4e91-b622-73b5b946183d\",\n \"order_date\": \"2023-12-25\"\n}"
response = http.request(request)
puts response.read_body{
"amount": 10000,
"authorization_type": "CASH_ORDER",
"destination_account_id": "fccb4a46-1261-4e91-b622-73b5b946183d",
"order_date": "2023-12-25",
"account_number": "<string>",
"client_name": "Cash-Based Brick and Mortar Store",
"hold_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"originating_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"status": "CANCELLED",
"tenant": "abcdef_ghijkl"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Authorizations
Headers
An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.
Example:
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Body
application/json
The cash authorization to be created.
Cash Authorization post
Response
Successful creation of an cash order authorization
Cash authorization response
Was this page helpful?

